/*-----------------------------------------
   Menu.h -- Macro define file for sailing ship simulator
   Version date: 03.09.13
  -----------------------------------------*/


/*----------------------------------------------------------------------
COPYRIGHT 2003, 2005 PETER DAVIS
This file is part of "HMS Surprise - Frigate and brig Simulator for
Windows". That program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version. The file is distributed
in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this file; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
----------------------------------------------------------------------*/

// buttons
#define IDC_ZOOMIN                 30
#define IDC_ZOOMOUT                31
#define IDC_INCRSAIL               32
#define IDC_DECRSAIL               33
#define IDC_HELMSMAN               34
#define IDC_YARDSMEN               35
#define IDC_PAUSE                  36
#define IDC_SMALLERJIB             37
#define IDC_LARGERJIB              38

// text box
#define IDC_BEARING                39

// check boxes
#define IDC_COUPLEFORE             20
#define IDC_COUPLEMIZZEN           21
#define IDC_TRACKSHIP              22

// menu
#define IDM_OPENDEFAULT           379
#define IDM_OPEN                  301
#define IDM_SAVE                  302
#define IDM_SAVEAS                303
#define IDM_SAVEDEFAULT           378
#define IDM_BRIG                  376
#define IDM_FRIGATE               377
#define IDM_SAVEPOSITION          338
#define IDM_DONTSAVEPOSITION      339
#define IDM_RECORDER              342
#define IDM_PLAYBACK              343
#define IDM_STOPRECORDER          344
#define IDM_STOPPLAYBACK          345
#define IDM_EXIT                  304
#define IDM_SHIPDIMENSIONS        305
#define IDM_SHIPPROPERTIES        306
#define IDM_SAILDIMENSIONS        307
#define IDM_FORENAFT              308
#define IDM_ISLANDS               309 
#define IDM_RUDDERCOMMANDS        340
#define IDM_HELMCOMMANDS          341
#define IDM_ROYALYARDS            310
#define IDM_TOPGALYARDS           311
#define IDM_UPPERTOPSAILYARDS     312
#define IDM_LOWERTOPSAILYARDS     313
#define IDM_LOWERYARDS            314
#define IDM_SLIPSTREAM            315
#define IDM_NOSLIPSTREAM          316
#define IDM_SELECTBEARING         334
#define IDM_AUTOBEARING           335
#define IDM_COMPASSRING           336
#define IDM_NOCOMPASSRING         337
#define IDM_CONVENTIONAL          317
#define IDM_PERSPECTIVE           318
#define IDM_TRACKSHIP             319
#define IDM_DONTTRACKSHIP         320
#define IDM_CLEARTRACK            321
#define IDM_SAILANGLE             322
#define IDM_WINDSTRIKINGANGLE     323
#define IDM_EXPOSEDPERCENTAGE     324 
#define IDM_EFFECTIVEAREA         325
#define IDM_USEFULPERCENTAGE      326
#define IDM_USEFULFORCE           327
#define IDM_FORWARDTHRUST         328
#define IDM_LEEWARDTHRUST         329
#define IDM_ROTATIONALTHRUST      330     
#define IDM_HEELINGTHRUST         331
#define IDM_ABOUT                 350
#define IDM_HELP                  351
#define IDM_DATADUMP              360
#define IDM_SPEED_1               370
#define IDM_SPEED_2               371
#define IDM_SPEED_4               372
#define IDM_SPEED_8               373
#define IDM_SPEED_16              374
#define IDM_SPEED_32              375

// wind and heading dialog boxes
#define IDD_OK                      1
#define IDD_CANCEL                  2
#define IDD_BEARING                 3
#define IDD_B_RATE                  4
#define IDD_SPEED                   5
#define IDD_S_RATE                  6
#define IDD_DECR_BEARING            7
#define IDD_INCR_BEARING            8 
#define IDD_DECR_B_RATE             9
#define IDD_INCR_B_RATE            10
#define IDD_DECR_SPEED             11
#define IDD_INCR_SPEED             12
#define IDD_DECR_S_RATE            13
#define IDD_INCR_S_RATE            14
#define IDD_HEADING                15
#define IDD_DECR_HEADING           16
#define IDD_INCR_HEADING           17 

// about dialog
#define IDD_ABOUT_OK              401

// properties dialog
#define IDC_PROP_OK               571
#define IDC_PROP_CANCEL           572
#define IDC_PROP_CHECK            573

// strings for status bar
#define IDS_MAIN_0                  0
#define IDS_MAIN_1                  1
#define IDS_MAIN_2                  2
#define IDS_MAIN_3                  3
#define IDS_MAIN_4                  4
#define IDS_MAIN_5                  5
#define IDS_MAIN_6                  6

#define IDS_DEFAULT                11
#define IDS_DEFAULT_BRIG           11
#define IDS_DEFAULT_FRIGATE        27
#define IDS_PLANVIEW_EDGE          12
#define IDS_PLANVIEW_CENT          13
#define IDS_MAP                    14
#define IDS_SAILPLAN_C             23
#define IDS_SAILPLAN_U             24
#define IDS_SAILPLAN_P             25
#define IDS_ISLAND                 26


